Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.basic.core
Class BasicXListUI.ListDataHandler

    java.lang.Object
      org.jdesktop.swingx.plaf.basic.core.BasicXListUI.ListDataHandler

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.ListDataListener

Enclosing class:
  BasicXListUI

    public class BasicXListUI.ListDataHandler

extends java.lang.Object
implements javax.swing.event.ListDataListener

The ListDataListener that's added to the JLists model at installUI time, and whenever the JList.model property changes.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  `JList.getModel()`, `BasicXListUI.maybeUpdateLayoutState()`, `BasicXListUI.createListDataListener()`, `BasicXListUI.installUI(javax.swing.JComponent)`

Constructor Summary
`BasicXListUI.ListDataHandler()`

Method Summary
`void` | `contentsChanged(javax.swing.event.ListDataEvent e)`
`void` | `intervalAdded(javax.swing.event.ListDataEvent e)`
`void` | `intervalRemoved(javax.swing.event.ListDataEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicXListUI.ListDataHandler

    public BasicXListUI.ListDataHandler()

Method Detail

### intervalAdded

    public void intervalAdded(javax.swing.event.ListDataEvent e)

  Specified by:
    `intervalAdded` in interface `javax.swing.event.ListDataListener`

### intervalRemoved

    public void intervalRemoved(javax.swing.event.ListDataEvent e)

  Specified by:
    `intervalRemoved` in interface `javax.swing.event.ListDataListener`

### contentsChanged

    public void contentsChanged(javax.swing.event.ListDataEvent e)

  Specified by:
    `contentsChanged` in interface `javax.swing.event.ListDataListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.